Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class SSLJiveTrustManager

    java.lang.Object
      org.jivesoftware.openfire.net.SSLJiveTrustManager

All Implemented Interfaces:
  com.sun.net.ssl.TrustManager, com.sun.net.ssl.X509TrustManager

    public class SSLJiveTrustManager

extends Object
implements com.sun.net.ssl.X509TrustManager

Trust manager which accepts certificates without any validation except date validation.

A skeleton placeholder for developers wishing to implement their own custom trust manager. In future revisions we may expand the skeleton code if customers request assistance in creating custom trust managers.

You only need a trust manager if your server will require clients to authenticated with the server (typically only the server authenticates with the client).

Author:
  Iain Shigeoka

Constructor Summary
`SSLJiveTrustManager()`

Method Summary
`void` | `checkClientTrusted(X509Certificate[] chain, String authType)`
`void` | `checkServerTrusted(X509Certificate[] chain, String authType)`
`X509Certificate[]` | `getAcceptedIssuers()`
`boolean` | `isClientTrusted(X509Certificate[] x509Certificates)`
`boolean` | `isServerTrusted(X509Certificate[] x509Certificates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLJiveTrustManager

    public SSLJiveTrustManager()

Method Detail

### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] chain,
                                   String authType)

### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] chain,
                                   String authType)

### isClientTrusted

    public boolean isClientTrusted(X509Certificate[] x509Certificates)

  Specified by:
    `isClientTrusted` in interface `com.sun.net.ssl.X509TrustManager`

### isServerTrusted

    public boolean isServerTrusted(X509Certificate[] x509Certificates)

  Specified by:
    `isServerTrusted` in interface `com.sun.net.ssl.X509TrustManager`

### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `com.sun.net.ssl.X509TrustManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.